k.test {KODAMA} | R Documentation

## K-Test of Statistical Association

### Description

This function performs a permutation test using PLS to assess association between the KODAMA output and any additional related parameters such as clinical metadata.

### Usage

    k.test(data, labels, n = 100)

### Arguments

`data` | a matrix.
`labels` | a classification vector.
`n` | number of iterations of the permutation test.

### Value

The p-value of the test.

### Author(s)

Stefano Cacciatore

### References

Cacciatore S, Luchinat C, Tenori L
Knowledge discovery by accuracy maximization.
Proc Natl Acad Sci U S A 2014;111(14):5117-22. doi: 10.1073/pnas.1220873111. Link
Cacciatore S, Tenori L, Luchinat C, Bennett PR, MacIntyre DA
KODAMA: an updated R package for knowledge discovery and data mining.
Bioinformatics 2017;33(4):621-623. doi: 10.1093/bioinformatics/btw705. Link

### See Also

`KODAMA`

### Examples

    # data(iris)
    # data=iris[,-5]
    # labels=iris[,5]
    # kk=KODAMA(data,FUN="PLS-DA")
    # kkplot=kk$pp
    # k1=k.test(kkplot,labels)
    # print(k1)
    # k2=k.test(kkplot,sample(labels))
    # print(k2)

[Package KODAMA version 1.5 Index]